# timesheet.get

Read one of your pay periods, by id or by a date in it, with its entries, custom fields, due date, pay date, and any hour limits in your agreement with how many hours are left this week, this month and in total.

`GET | POST /api/v1/contractor/timesheet.get`

Permissions: `contractor:read` · Roles: contractor

MCP tool: `contractor_timesheet_get`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `periodId` | string (ID) |  | The ID of a contractor pay period. |
| `date` | string (date) |  | A date, as YYYY-MM-DD. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/contractor/timesheet.get \
  -H "Authorization: Bearer $OATMILK_OAUTH_TOKEN" \
  -H "X-Accounting-Organization: $OATMILK_ORGANIZATION_ID"
```

Reference page: https://app.getoatmilk.com/docs/api/contractor/timesheet.get
